Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name

### float()

Examples

    int i = 65;
    float f = float(i);
    println(i + " : " + f);  // Prints "65 : 65.0"

    char c = 'E';
    f = float(c);
    println(c + " : " + f);  // Prints "E : 69.0"

Description | Converts a primitive datatype, string, or array to its floating point representation.

Syntax

    float(value)

Parameters

value | int, char, byte, boolean, String, int[], char[], byte[], boolean[], String[]

Returns | float
Usage | Web & Application
Related | float int() byte()

Updated on August 30, 2010 04:29:39pm EDT